@Library ('swjenkins') _

// Build and CD this module - publish the docker image, provision this snapshot version in the cluster and then update the named
// tenants to use this snapshot.
// This works: curl https://uat.semweb.co/dabdata/actuator/health
Map args=[
  dockerImageName:'docker.semweb.co/semweb/dabdiscovery',
  targetNamespace:'cma-uat',
  deployAs:'dabdiscovery',
  deploymentTemplate:'k8s/deployment_template.yaml',
  branchConfig:[
    'uat':[ 
      namespace:'cma-uat',
      hostname:'dabdiscovery.uat.semweb.co'
    ]
  ]
]

buildNextJSService(args)
